com.dlsc.flexgantt.model.dateline

## Enum GridLine.DstChangeType

- java.lang.Object
- - java.lang.Enum<GridLine.DstChangeType>
  - - com.dlsc.flexgantt.model.dateline.GridLine.DstChangeType

- All Implemented Interfaces:
    Serializable, Comparable<GridLine.DstChangeType>
  Enclosing class:
    GridLine

      public static enum GridLine.DstChangeType
      extends Enum<GridLine.DstChangeType>

  An enumerator used to represent the two types of DST change that can happen. The grid line can represent a time point where the summer time changes to winter time and the winter time changes to summer time.
  Since:
    1.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_CHANGE` A value indicating that the grid line represents no change of the DST time.
    `SUMMER_TIME_TO_WINTER_TIME` A value indicating that the summer time is over and that the winter time begins.
    `WINTER_TIME_TO_SUMMER_TIME` A value indicating that the winter time is over and that the summer time begins.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GridLine.DstChangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GridLine.DstChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUMMER_TIME_TO_WINTER_TIME

          public static final GridLine.DstChangeType SUMMER_TIME_TO_WINTER_TIME

      A value indicating that the summer time is over and that the winter time begins.
      Since:
        1.1

    - #### WINTER_TIME_TO_SUMMER_TIME

          public static final GridLine.DstChangeType WINTER_TIME_TO_SUMMER_TIME

      A value indicating that the winter time is over and that the summer time begins.
      Since:
        1.1

    - #### NO_CHANGE

          public static final GridLine.DstChangeType NO_CHANGE

      A value indicating that the grid line represents no change of the DST time.
      Since:
        1.1

  - ### Method Detail

    - #### values

          public static GridLine.DstChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GridLine.DstChangeType c : GridLine.DstChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GridLine.DstChangeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.